Get an alert with bounded event and delivery history.
curl --request GET \
--url https://api.infrawatch.com/api/v1/projects/{project_uuid}/alerting/alerts/{alert_uuid} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.infrawatch.com/api/v1/projects/{project_uuid}/alerting/alerts/{alert_uuid}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.infrawatch.com/api/v1/projects/{project_uuid}/alerting/alerts/{alert_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.infrawatch.com/api/v1/projects/{project_uuid}/alerting/alerts/{alert_uuid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"alert": {
"display_label": "<string>",
"entity_key": "<string>",
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"rule_name": "<string>",
"rule_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 2,
"deliveries": [
{
"attempts": 1,
"created_at": "2023-11-07T05:31:56Z",
"destination_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"max_attempts": 2,
"next_attempt_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"delivered_at": "2023-11-07T05:31:56Z",
"last_error": "<string>",
"provider_reference": "<string>"
}
],
"events": [
{
"occurred_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"from_status": "<string>",
"source_event_type": "<string>",
"to_status": "<string>"
}
],
"acknowledged_at": "2023-11-07T05:31:56Z",
"assignee_membership_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"escalated_at": "2023-11-07T05:31:56Z",
"next_reminder_at": "2023-11-07T05:31:56Z",
"resolved_at": "2023-11-07T05:31:56Z"
}
}Alerts
Get an alert with bounded event and delivery history.
GET
https://api.infrawatch.com/api/v1
/
projects
/
{project_uuid}
/
alerting
/
alerts
/
{alert_uuid}
Get an alert with bounded event and delivery history.
curl --request GET \
--url https://api.infrawatch.com/api/v1/projects/{project_uuid}/alerting/alerts/{alert_uuid} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.infrawatch.com/api/v1/projects/{project_uuid}/alerting/alerts/{alert_uuid}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.infrawatch.com/api/v1/projects/{project_uuid}/alerting/alerts/{alert_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.infrawatch.com/api/v1/projects/{project_uuid}/alerting/alerts/{alert_uuid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"alert": {
"display_label": "<string>",
"entity_key": "<string>",
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"rule_name": "<string>",
"rule_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 2,
"deliveries": [
{
"attempts": 1,
"created_at": "2023-11-07T05:31:56Z",
"destination_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"max_attempts": 2,
"next_attempt_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"delivered_at": "2023-11-07T05:31:56Z",
"last_error": "<string>",
"provider_reference": "<string>"
}
],
"events": [
{
"occurred_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"from_status": "<string>",
"source_event_type": "<string>",
"to_status": "<string>"
}
],
"acknowledged_at": "2023-11-07T05:31:56Z",
"assignee_membership_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"escalated_at": "2023-11-07T05:31:56Z",
"next_reminder_at": "2023-11-07T05:31:56Z",
"resolved_at": "2023-11-07T05:31:56Z"
}
}⌘I